Subject: RE: [Megaco] a question about signal descriptor

From: "Kevin Boyle" <[email-masked]>
Date: Mon, 28 Feb 2005 23:09:40 -0500

I think this is an acceptable definition.  I will have a look at the text,
and if there is no mention of the handling of duration 0 for timeout or
brief signals, I will propose this wording for inclusion in the IG.

Kevin 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Kapil Nayar
Sent: Monday, February 28, 2005 3:09 AM
To: Milton; [email-masked]
Subject: RE: [Megaco] a question about signal descriptor

Hi Milton

The package definition can always mention the specific behaviour. My
description would probably hold true for the default behaviour derived
purely on the basis of the core protocol definition.

thanks,
-kapil

 --- Milton <[email-masked]> wrote: 
> 
> Hi,
> Probably this scenario should be dependent on package defined 
> procedures - for example for announcements when duration is zero; to 
> play the announcement mg should consider default number of cycles.
> 
> Regards,
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Kapil Nayar
> Sent: Sunday, February 27, 2005 8:11 AM
> To: FCG Yang JianBin; [email-masked]
> Subject: Re: [Megaco] a question about signal descriptor
> 
> Hi Yang
> 
> This is interesting because there is no explicit mention of this 
> scenario in the protocol document.
> 
> In my opinion though MG would play the signal but stop it immediately 
> (duration = 0 could mean less than 1/100th of a second as per protocol 
> definition). You can compare the behavior to a brief type signal.
>     
> thanks,
> -kapil
> 
>  --- FCG Yang JianBin
> <[email-masked]> wrote: 
> > when MG receive such command: 
> >
> T=945{C=9{MF=tdm/1/7{SG{cg/rt{SY=TO,Duration=0}}}}},
> > what action will MG do?
> > 
> > how MG process this signal? is it play this ring tone endless or 
> > just don't play this tone?
> > 
> > where can i find the specification about this case(duration is zero) 
> > in standard?
> > 
> > Thanks!
> > 
> > Best Regards
> > 
> > Yang Jianbin
> > Mail: [email-masked]
> > Tel: 021-58541240-8168
> > 
> > > _______________________________________________
> > Megaco mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/megaco
> >  
> 
> Send instant messages to your online friends 
> http://uk.messenger.yahoo.com
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
> 
>  

Send instant messages to your online friends http://uk.messenger.yahoo.com 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco